package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.Valid;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

/**
 * VirtualWanAvailablesInfo
 */
@ApiModel(description = "VirtualWanAvailablesInfo")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VirtualWanAvailablesOpenApiVo   {
  @JsonProperty("wanPorts")
  @Valid
  private List<VirtualWanAvailableOpenApiVo> wanPorts = null;

  public VirtualWanAvailablesOpenApiVo wanPorts(List<VirtualWanAvailableOpenApiVo> wanPorts) {
    this.wanPorts = wanPorts;
    return this;
  }

  public VirtualWanAvailablesOpenApiVo addWanPortsItem(VirtualWanAvailableOpenApiVo wanPortsItem) {
    if (this.wanPorts == null) {
      this.wanPorts = new ArrayList<>();
    }
    this.wanPorts.add(wanPortsItem);
    return this;
  }

  /**
   * Virtual WAN available list.
   * @return wanPorts
  */
  @ApiModelProperty(value = "Virtual WAN available list.")

  @Valid

  public List<VirtualWanAvailableOpenApiVo> getWanPorts() {
    return wanPorts;
  }

  public void setWanPorts(List<VirtualWanAvailableOpenApiVo> wanPorts) {
    this.wanPorts = wanPorts;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VirtualWanAvailablesOpenApiVo virtualWanAvailablesOpenApiVo = (VirtualWanAvailablesOpenApiVo) o;
    return Objects.equals(this.wanPorts, virtualWanAvailablesOpenApiVo.wanPorts);
  }

  @Override
  public int hashCode() {
    return Objects.hash(wanPorts);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VirtualWanAvailablesOpenApiVo {\n");
    
    sb.append("    wanPorts: ").append(toIndentedString(wanPorts)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

